diff --git a/tests/0_common/40_selinux_enforce.sh b/tests/0_common/40_selinux_enforce.sh
deleted file mode 100755
index a38e044..0000000
--- a/tests/0_common/40_selinux_enforce.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/bin/bash
-# Author: Athmane Madjoudj <athmanem@gmail.com>
-
-t_Log "Running $0 - check if SELinux is in enforcing mode"
-
-cat /selinux/enforce | grep 1  > /dev/null 2>&1
-
-t_CheckExitStatus $?
-
diff --git a/tests/p_selinux/selinux_alerts.sh b/tests/p_selinux/selinux_alerts.sh
new file mode 100755
index 0000000..c3f90d4
--- /dev/null
+++ b/tests/p_selinux/selinux_alerts.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+# Author: Athmane Madjoudj <athmanem@gmail.com>
+
+t_Log "Running $0 - check for SELinux alerts (AVC)"
+
+grep "AVC" /var/log/audit/audit.log > /dev/null 2>&1
+
+t_CheckExitStatus $?
+
diff --git a/tests/p_selinux/selinux_enforce.sh b/tests/p_selinux/selinux_enforce.sh
new file mode 100755
index 0000000..a38e044
--- /dev/null
+++ b/tests/p_selinux/selinux_enforce.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+# Author: Athmane Madjoudj <athmanem@gmail.com>
+
+t_Log "Running $0 - check if SELinux is in enforcing mode"
+
+cat /selinux/enforce | grep 1  > /dev/null 2>&1
+
+t_CheckExitStatus $?
+
diff --git a/tests/p_syslog/syslog_logging.sh b/tests/p_syslog/syslog_logging.sh
new file mode 100755
index 0000000..d9344d1
--- /dev/null
+++ b/tests/p_syslog/syslog_logging.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+# Author: Athmane Madjoudj <athmanem@gmail.com>
+
+t_Log "Running $0 - check if syslog deamon is working"
+
+logger "t_functional_logging_test"
+
+grep "t_functional_logging_test" /var/log/messages > /dev/null 2>&1
+
+t_CheckExitStatus $?
+